Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.enn
Class EnnBatchModel

    java.lang.Object
      uchicago.src.sim.engine.SimModelImpl
          uchicago.src.repastdemos.enn.EnnBase
              uchicago.src.repastdemos.enn.EnnBatchModel

All Implemented Interfaces:
  DescriptorContainer, SimEventProducer, SimModel

    public class EnnBatchModel

extends EnnBase

A partial implementation of Randal Picker's Endogenous Neighborhood game as described in his as yet unpublished "Endogenous Neighborhoods and Norms." This simulation extends prior work by Randal Picker. See "Simple Games in a Complex World: A Generative Approach to the Adoption of Norms", 64 University of Chicago Law Review 1225 (1997). Thanks to Randal Picker for allowing us to include this with Repast. Batch version of the EnnModel - virtually the same, but without any display classes, and an arbitrary run stop at 200 ticks

Version:
  $Revision: 1.1 $ $Date: 2005/08/12 20:04:51 $
Author:
  Nick Collier and Randal Picker

Field Summary

Fields inherited from class uchicago.src.repastdemos.enn.EnnBase
`agentList, aspiration, bValue, DO_LOAD_GUI, DONT_LOAD_GUI, gridDensity, happyPlay, leftPercent, loadGui, recorder, schedule, shuffle, space, unhappyPlay, WORLD_X_SIZE, WORLD_Y_SIZE`

Fields inherited from class uchicago.src.sim.engine.SimModelImpl
`descriptors, modelManipulator`

Constructor Summary
`EnnBatchModel()`

Method Summary
`void` | `begin()` Begins a simulation run.
`protected void` | `initDataRecorder()`
`static void` | `main(java.lang.String[] args)`
`void` | `setup()` Prepares a model for a new run, typically by deallocating objects or setting them to some reasonable default.
`void` | `stop()` Stops the simulation.

Methods inherited from class uchicago.src.repastdemos.enn.EnnBase
`buildModel, computeOAC, computeOSWA, computeRave, getAspiration, getBValue, getDoShuffle, getGridDensity, getHappyPlay, getInitParam, getLoadGui, getName, getPercentLeft, getSchedule, getUnhappyPlay, setAspiration, setBValue, setDoShuffle, setGridDensity, setHappyPlay, setLoadGui, setPercentLeft, setUnhappyPlay`

Methods inherited from class uchicago.src.sim.engine.SimModelImpl
`addPropertyListener, addSimEventListener, clearMediaProducers, clearPropertyListeners, fireBooleanPropertyEvent, fireEndSim, fireNumericPropertyEvent, fireObjectPropertyEvent, firePauseSim, fireSimEvent, fireStopSim, fireStringPropertyEvent, generateNewSeed, getController, getMediaProducers, getModelManipulator, getParameterDescriptors, getPropertiesValues, getRngSeed, getTickCount, pause, registerDisplaySurface, registerMediaProducer, removePropertyListener, removeSimEventListener, setController, setRngSeed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnnBatchModel

    public EnnBatchModel()

Method Detail

### initDataRecorder

    protected void initDataRecorder()

  Specified by:
    `initDataRecorder` in class `EnnBase`

### begin

    public void begin()

  Description copied from interface: `SimModel`
  Begins a simulation run. All initialization, building the model, diplay, etc. should take place here. This method is called whenever the start button (or the step button if the run has not yet begun) is clicked. If running in batch mode this is called to kick off a new simulation run.

### setup

    public void setup()

  Description copied from interface: `SimModel`
  Prepares a model for a new run, typically by deallocating objects or setting them to some reasonable default. Called whenever the setup button is clicked or if operating in batch mode whenever a single run has ended in preparation for the next. Also called when the model is first loaded.

### stop

    public void stop()

  Description copied from class: `SimModelImpl`
  Stops the simulation.

  Overrides:
    `stop` in class `SimModelImpl`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD